XML-RPC Functions
Windows Only Extensions
XML-RPC Functions
PHP Manual

# xmlrpc_set_type

(PHP 4 >= 4.0.7, PHP 5)

xmlrpc_set_type — Sets xmlrpc type, base64 or datetime, for a PHP string value

### Description

bool xmlrpc_set_type ( string `&$value` , string `$type` )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### Parameters

`value`

  Value to set the type

`type`

  'base64' or 'datetime'

### Return Values

Returns `TRUE` on success or `FALSE` on failure. If successful, `value` is converted to an object.

### Errors/Exceptions

Issues E_WARNING with type unsupported by XMLRPC.

XML-RPC Functions
Windows Only Extensions
XML-RPC Functions
PHP Manual